Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024217
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-06-27 16:142013-08-20 10:04
ReporterjecharriView Statuspublic 
Assigned Topramakrishnan 
PriorityurgentResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchpiFixed in SCM revisiond6ba90dc64fa
ProjectionnoneETAnoneTarget Version3.0MP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojecharri
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024217: Little problem with Oracle messages in the ERP

DescriptionLittle problem with Oracle messages in the ERP

Some times oracle messages are not clear

One example
ORA-20000: Line Amount Is Not Correct ORA-06512: en "TAD.GL_JOURNAL_TRG", línea 30 ORA-04088: error durante la ejecución del disparador 'TAD.GL_JOURNAL_TRG' ORA-06512: en "TAD.GL_JOURNAL_POST", línea 335
Steps To Reproduce-Working in Oracle, go to gl_journal_trg and add the following line after line AD_isTriggerEnabled()='N' THEN RETURN;
    End If;

RAISE_APPLICATION_ERROR(-20000, '@LineAmountNotCorrect@') ;

-Go to the ERP and go to window "G/L Journal"
-Create a batch, header and lines
-Try to complete the header
-It happens the same if you try to complete the batch

You will get the above error instead of
Line Amount Is Not Correct
Proposed Solution-I saw that message is set in java srcAD/org/openbravo/erpWindows/GLJournal/Header.java line 441
TagsMoved from MP26 to MP27
Attached Filesdiff file icon messageTranslate.diff [^] (1,262 bytes) 2013-07-18 10:17 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00241743.0MP26 closedshankarb Little problem with Oracle messages in the ERP 

-  Notes
(0059823)
hgbot (developer)
2013-07-03 07:08

Repository: erp/devel/pi
Changeset: 3758cd466f44deef4b8052072c56bd49c7d6ae21
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Jul 03 10:37:43 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3758cd466f44deef4b8052072c56bd49c7d6ae21 [^]

Fixes Issue 0024217: Little problem with Oracle messages in the ERP

Comparing for delimiter \n and if not found check for \\n. In oracle, some error stack comes without delimiting \n and some with delimiting \\n.
Now it handles both these cases.

---
M src/org/openbravo/erpCommon/utility/ErrorTextParserORACLE.java
---
(0060014)
hudsonbot (developer)
2013-07-16 14:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9a5d5983399f [^]

Maturity status: Test
(0060090)
shankarb (developer)
2013-07-18 10:18

Proposed solution attached
(0060091)
AugustoMauch (developer)
2013-07-18 10:27

When the exception in thrown (in this particular case in the FIN_AddPaymentFromJournal class), its message needs to be traslated before throwing the error (see the attached file).

A review should be done to check if this patch needs to be applied in other windows.
(0060517)
pramakrishnan (developer)
2013-08-07 08:12

This fix is not working when mutating trigger error is raised. So there might be some cases which is missed. Below is an example case:

1. Add the following statement in the m_productionline_trg in when updating
"Select count(*) from m_productionline where m_productionplan_id = NEW.m_productionplan_id".
2. Try to update a row in Bill of materials production -> production run -> I/O Products.
3. System throws the mutating trigger error with some oracle codes and \n
(0060582)
shankarb (developer)
2013-08-13 07:26

Only user defined exceptions within the range of 20000 - 30000 are parsed in the Application. This error code 4091 is not within the range and hence the whole message is getting displayed.
(0060589)
hgbot (developer)
2013-08-14 10:44

Repository: erp/devel/pi
Changeset: d6ba90dc64faacd3386f85420435d117d3726f36
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Tue Aug 13 11:58:10 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d6ba90dc64faacd3386f85420435d117d3726f36 [^]

Fixes Issue 24217: Little problem with Oracle messages in the ERP

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPaymentFromJournal.java
---
(0060592)
pramakrishnan (developer)
2013-08-14 15:32

Reopened to update review assigned to
(0060654)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060672)
jecharri (developer)
2013-08-20 10:04

Tested and verified in client side

- Issue History
Date Modified Username Field Change
2013-06-27 16:14 jecharri New Issue
2013-06-27 16:14 jecharri Assigned To => AugustoMauch
2013-06-27 16:14 jecharri Modules => Core
2013-06-27 16:14 jecharri Triggers an Emergency Pack => No
2013-06-27 16:16 AugustoMauch Assigned To AugustoMauch => shankarb
2013-06-27 16:18 AugustoMauch Relationship added related to 0024174
2013-06-27 16:41 jecharri Steps to Reproduce Updated View Revisions
2013-06-27 16:41 jecharri Proposed Solution updated
2013-07-03 07:07 shankarb Issue Monitored: AugustoMauch
2013-07-03 07:08 shankarb Review Assigned To => AugustoMauch
2013-07-03 07:08 hgbot Checkin
2013-07-03 07:08 hgbot Note Added: 0059823
2013-07-03 07:08 hgbot Status new => resolved
2013-07-03 07:08 hgbot Resolution open => fixed
2013-07-03 07:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3758cd466f44deef4b8052072c56bd49c7d6ae21 [^]
2013-07-04 16:51 jecharri Status resolved => new
2013-07-04 16:51 jecharri Resolution fixed => open
2013-07-16 14:26 hudsonbot Checkin
2013-07-16 14:26 hudsonbot Note Added: 0060014
2013-07-18 10:17 shankarb File Added: messageTranslate.diff
2013-07-18 10:18 shankarb Note Added: 0060090
2013-07-18 10:25 AugustoMauch Assigned To shankarb => dmiguelez
2013-07-18 10:27 AugustoMauch Note Added: 0060091
2013-08-05 10:54 jonalegriaesarte Target Version 3.0MP26 => 3.0MP27
2013-08-05 10:54 jonalegriaesarte Tag Attached: Moved from MP26 to MP27
2013-08-05 10:57 jonalegriaesarte Assigned To dmiguelez => shankarb
2013-08-05 11:47 jonalegriaesarte Assigned To shankarb => pramakrishnan
2013-08-07 08:07 pramakrishnan Assigned To pramakrishnan => shankarb
2013-08-07 08:12 pramakrishnan Note Added: 0060517
2013-08-13 07:26 shankarb Note Added: 0060582
2013-08-13 07:26 shankarb Issue End Monitor: AugustoMauch
2013-08-13 07:26 shankarb Assigned To shankarb => pramakrishnan
2013-08-13 08:02 pramakrishnan Status new => scheduled
2013-08-13 08:02 pramakrishnan fix_in_branch => pi
2013-08-14 10:44 hgbot Checkin
2013-08-14 10:44 hgbot Note Added: 0060589
2013-08-14 10:44 hgbot Status scheduled => resolved
2013-08-14 10:44 hgbot Resolution open => fixed
2013-08-14 10:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3758cd466f44deef4b8052072c56bd49c7d6ae21 [^] => http://code.openbravo.com/erp/devel/pi/rev/d6ba90dc64faacd3386f85420435d117d3726f36 [^]
2013-08-14 15:32 pramakrishnan Note Added: 0060592
2013-08-14 15:32 pramakrishnan Status resolved => new
2013-08-14 15:32 pramakrishnan Resolution fixed => open
2013-08-14 15:32 pramakrishnan Review Assigned To AugustoMauch => jecharri
2013-08-14 15:32 pramakrishnan fix_in_branch pi =>
2013-08-14 15:34 pramakrishnan Status new => scheduled
2013-08-14 15:34 pramakrishnan fix_in_branch => pi
2013-08-14 15:34 pramakrishnan Status scheduled => resolved
2013-08-14 15:34 pramakrishnan Resolution open => fixed
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060654
2013-08-20 10:04 jecharri Note Added: 0060672
2013-08-20 10:04 jecharri Status resolved => closed
2013-08-20 10:04 jecharri Fixed in Version => 3.0MP27


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker